Bug 199506

Summary: [EXP-RUN] add --localstatedir=/var to CONFIGURE_ARGS
Product: Ports & Packages Reporter: Tijl Coosemans <tijl>
Component: Ports FrameworkAssignee: Tijl Coosemans <tijl>
Status: Closed FIXED    
Severity: Affects Some People CC: portmgr
Priority: --- Keywords: needs-qa, patch
Version: LatestFlags: koobs: exp-run?
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
none
patch2 none

Description Tijl Coosemans freebsd_committer 2015-04-17 21:39:09 UTC
Created attachment 155682 [details]
patch

- Display a stage-qa warning when ports use PREFIX/var instead of /var
- Add --localstatedir=/var to _LATE_CONFIGURE_ARGS (like --mandir) but not when CONFIGURE_ARGS already sets it.  GNU configure scripts set it to PREFIX/var when PREFIX != /usr.
- Add --localstatedir="${PREFIX}/var" to CONFIGURE_ARGS in some ports so they aren't affected by this change (for now at least).  This patch is meant to ensure that new ports don't make the same mistake.
Comment 1 Antoine Brodin freebsd_committer 2015-04-19 17:05:17 UTC
Take for exp-run
Comment 2 Antoine Brodin freebsd_committer 2015-04-20 14:16:07 UTC
New failures:

+ {"origin"=>"audio/ample", "pkgname"=>"ample-0.5.7", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"databases/monetdb", "pkgname"=>"monetdb-11.15.19_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"games/acm", "pkgname"=>"acm-5.0_2", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"irc/charybdis", "pkgname"=>"charybdis-3.4.2_4", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"mail/courier-imap", "pkgname"=>"courier-imap-4.15_2,2", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"security/fwbuilder", "pkgname"=>"fwbuilder-5.1.0_2", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"security/super", "pkgname"=>"super-3.30.0_1", "phase"=>"package", "errortype"=>"PLIST"}

Failure logs:

http://package18.nyi.freebsd.org/data/101amd64-default-PR199506/2015-04-20_12h46m31s/logs/errors/ample-0.5.7.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR199506/2015-04-20_12h46m31s/logs/errors/monetdb-11.15.19_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR199506/2015-04-20_12h46m31s/logs/errors/acm-5.0_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR199506/2015-04-20_12h46m31s/logs/errors/charybdis-3.4.2_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR199506/2015-04-20_12h46m31s/logs/errors/courier-imap-4.15_2,2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR199506/2015-04-20_12h46m31s/logs/errors/fwbuilder-5.1.0_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR199506/2015-04-20_12h46m31s/logs/errors/super-3.30.0_1.log
Comment 3 Tijl Coosemans freebsd_committer 2015-04-20 16:50:27 UTC
Created attachment 155776 [details]
patch2

- Fix build errors by adding --localstatedir="${PREFIX}/var" to CONFIGURE_ARGS.
- games/acm: the configure script in this port is very old; instead of patching it more, just replace GNU_CONFIGURE with HAS_CONFIGURE.
- irc/charybdis: it already used /var but adding --localstatedir=/var changed the behaviour of the configure script; adjust the port to this.
- security/fwbuilder: already committed; problem with autoreconf
Comment 5 commit-hook freebsd_committer 2015-04-20 19:06:48 UTC
A commit references this bug:

Author: tijl
Date: Mon Apr 20 19:06:39 UTC 2015
New revision: 384380
URL: https://svnweb.freebsd.org/changeset/ports/384380

Log:
  - Display a stage-qa warning when ports use PREFIX/var instead of /var
  - Add --localstatedir=/var to _LATE_CONFIGURE_ARGS (like --mandir) but not
    when CONFIGURE_ARGS already sets it.  (GNU configure scripts set it to
    PREFIX/var when PREFIX != /usr.)
  - Add --localstatedir="${PREFIX}/var" to CONFIGURE_ARGS in some ports so
    they aren't affected by this change (for now at least).  This commit is
    meant to ensure that new ports don't make the same mistake.

  - games/acm: the configure script in this port is very old; instead of
    patching it more, just replace GNU_CONFIGURE with HAS_CONFIGURE.
  - irc/charybdis: it already used /var but adding --localstatedir=/var
    changed the behaviour of the configure script; adjust the port to this.

  PR:		199506
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Scripts/qa.sh
  head/Mk/bsd.port.mk
  head/audio/ample/Makefile
  head/databases/monetdb/Makefile
  head/devel/global/Makefile
  head/dns/opendnssec/Makefile
  head/dns/opendnssec13/Makefile
  head/games/acm/Makefile
  head/games/acm/files/patch-dis-disgen-configure
  head/games/wolfpack/Makefile
  head/games/xlogical/Makefile
  head/irc/charybdis/Makefile
  head/irc/charybdis/files/charybdis.in
  head/irc/charybdis/files/patch-configure
  head/irc/charybdis/files/patch-configure-ac
  head/irc/charybdis/pkg-plist
  head/lang/smalltalk/Makefile
  head/mail/courier-imap/Makefile
  head/mail/gnarwl/Makefile
  head/net/ndisc6/Makefile
  head/net-mgmt/smokeping/Makefile
  head/security/krb5/Makefile
  head/security/krb5-111/Makefile
  head/security/krb5-112/Makefile
  head/security/nessus/Makefile
  head/security/nessus-libnasl/Makefile
  head/security/nessus-libraries/Makefile
  head/security/nessus-plugins/Makefile
  head/security/softhsm2/Makefile
  head/security/super/Makefile
  head/textproc/mifluz/Makefile
  head/textproc/soothsayer/Makefile